## ros-indigo-naoqieus 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqieus)

find_package(catkin REQUIRED rostest diagnostic_aggregator nao_interaction_msgs naoqi_driver roseus)

catkin_package(CFG_EXTRAS compile_naoqi_model.cmake)

if(NOT "$ENV{ROS_DISTRO}" STREQUAL "hydro") ## naoqi_bridge_msg is only for >= indigo
  add_rostest(test/naoqieus.test)

install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
endif()

install(FILES naoqi-interface.l DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-naoqieus (1.1.0-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-naoqieus (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.7-1trusty) trusty; urgency=high

  * Merge pull request #673 <https://github.com/jsk-ros-pkg/jsk_robot/issues/673> from kochigami/add-grasp-method-to-gazebo
    [naoqieus] add grasp method in gazebo
  * [naoqieus, peppereus] delete wheel controller
  * delete dcm hand controllers
  * modify move-hand to use in gazebo
  * Merge pull request #665 <https://github.com/jsk-ros-pkg/jsk_robot/issues/665> from kochigami/add-set-get-move-arms-enabled
    [naoqieus] add set (get) move arms enabled
  * Merge pull request #655 <https://github.com/jsk-ros-pkg/jsk_robot/issues/655> from kochigami/override-angle-vector
    [peppereus] add gazebo controller method
  * [naoqieus] add set (get) move arms enabled
  * add controllers
  * [naoqieus] use let for local variables in set(get)-external-collision-protection-status
  * add gazebo controller method and override angle-vector
  * add get-external-collision-protection-status method
  * Contributors: Kanae Kochigami, Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.5-1trusty) trusty; urgency=high

  * fixed program when the order of two optional params is upside down
  * move send-stiffness-controller, servo-on, servo-off methods to naoqi-interface
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.4-1trusty) trusty; urgency=high

  * [naoqi-interface.l] add angle-ratio parameter to :start-grasp, :stop-grasp
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.3-1trusty) trusty; urgency=high

  * modified :get-life method
  * :enable-life, :disable-life, :get-life are added
  * modified indent
  * add animated-speak method (#557 <https://github.com/jsk-ros-pkg/jsk_robot/issues/557> )
  * naoqieus/cmake/compile_naoqi_model.cmake: .l depends on .yaml
  * Contributors: Kanae Kochigami, Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-naoqieus (1.0.1-1trusty) trusty; urgency=high

  * Add new package name naoqieus; move pepper-interface.l to naoqi-interface.l
    
      * naoqi-interface.l: /cmd_vel is published under global namespace
      * naoqieus: do not run test on hydro
      * add naoqieus/cmake/compile_naoqi_modeol.cmake
      * add naoqieus from peppereus
    
  * Contributors: Kei Okada, Masahiro Bando

 -- Kei Okada <kei.okada@gmail.com>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-naoqieus (1.0.0-1trusty) trusty; urgency=high

  * [pepper-interface.l] update :go-pos for new NoaQi drivers using move_base_simple/goal
  * [pepper-interface.l] update joint action server name space for newer pepper_bringup
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.13-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.12-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.11-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.10-1trusty) trusty; urgency=high

  * pepper-interface.l: use naoqi_bridge_msgs, but if not found use naoqi_msgs
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.9-1trusty) trusty; urgency=high

  * test/test-peppereus.l: add test codes
  * Contributors: Kei Okada, Ryohei Ueda, Akira Kako

 -- Kei Okada <kei.okada@gmail.com>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.8-1trusty) trusty; urgency=high

  * modify send-stiffness-controller method for pepper
  * modify ros::advertise to be consistent with ros::publish
  * modify speak method
  * Contributors: Kanae Kochigami, Kei Okada, Jiang Jun

 -- Kei Okada <kei.okada@gmail.com>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.7-1trusty) trusty; urgency=high

  * add speak method
  * [pepper-interface.l] add error-vector method, this requires https://github.com/ros-naoqi/naoqi_bridge/pull/37
  * [peppereus/pepper-interface.l] add :play-audio-file and :set-master-volume
  * Contributors: Kanae Kochigami, Kei Okada, Ryohei Ueda

 -- Kei Okada <kei.okada@gmail.com>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.6-1trusty) trusty; urgency=high

  * pepper-init added
  * Contributors: kochigami

 -- Kei Okada <kei.okada@gmail.com>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.5-1trusty) trusty; urgency=high

  * change nao_msgs to naoqi_msgs
  * Contributors: Jiang Jun

 -- Kei Okada <kei.okada@gmail.com>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.2-1trusty) trusty; urgency=high

  * use package:// for pepper.l
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-naoqieus (0.0.1-1trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-naoqieus
Section: misc
Priority: extra
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-aggregator, ros-indigo-euscollada, ros-indigo-nao-interaction-msgs, ros-indigo-naoqi-driver, ros-indigo-pr2eus, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-naoqieus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-aggregator, ros-indigo-nao-interaction-msgs, ros-indigo-naoqi-driver, ros-indigo-pr2eus
Description: The naoqieus package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoqieus//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
